#!/bin/bash

# Get the directory where this script is located
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"

# Change to that directory
cd "$DIR"

# Check for required packages and install if missing
if ! python3 -c "import PyQt6" &>/dev/null; then
    echo "Installing required packages..."
    pip3 install -r requirements.txt
fi

# Try to install optional sip package if not already installed
if ! python3 -c "import sip" &>/dev/null; then
    echo "Installing optional PyQt6-sip package for improved stability..."
    pip3 install PyQt6-sip
fi

# Check for debug flag
if [ "$1" == "--debug-paths" ]; then
    echo "Running in debug mode to check paths..."
    python3 app.py --debug-paths
else
    # Run the app normally
    python3 app.py
fi