# NotePlan Plugin Launcher User Guide

![NotePlan Plugin Launcher](/assets/noteplan-plugin-launcher-banner.png)

## What is NotePlan Plugin Launcher?

NotePlan Plugin Launcher is a lightweight desktop application that helps you manage and quickly launch your favorite NotePlan plugins. It displays a compact, customizable bar of your installed plugins with an easy-to-use interface.

## Key Features

- **Quick Access**: Launch NotePlan plugins with a single click
- **Favorites**: Save your most-used plugin commands for instant access
- **Recent Commands**: Automatically track your recently used commands
- **Plugin Organization**: Rearrange plugins in your preferred order
- **Compact UI**: Takes minimal screen space while remaining accessible
- **Dark/Light Mode**: Switch between themes to match your system

## Installation

### Requirements

- Python 3.7 or newer
- NotePlan 3.x (with plugins installed)
- macOS (primary platform, tested on macOS Monterey and newer)

### Setup Instructions

1. **Download the Application**

   Download the latest version from [GitHub](https://github.com/yourusername/noteplan-plugin-launcher/releases) or clone the repository:

   ```bash
   git clone https://github.com/yourusername/noteplan-plugin-launcher.git
   ```

2. **Navigate to the Directory**

   ```bash
   cd noteplan-plugin-launcher
   ```

3. **Run the Application**

   Simply execute the run script:

   ```bash
   ./run.sh
   ```

   The script will automatically check for and install required dependencies.

### First Run

On first launch, the app will:

1. Search for your NotePlan plugins directory
2. Scan and display all installed plugins
3. Create a compact toolbar showing plugin icons

## Usage

### Main Interface

![Main Interface](/assets/interface-overview.png)

The main interface consists of a single row of plugin icons. Click on any plugin to:

- View available commands from that plugin
- Launch commands directly
- Add commands to favorites

### Using Plugins

1. **Launch a Plugin**: Click on any plugin icon to see its available commands
2. **Run a Command**: Click on any command to execute it in NotePlan
3. **Add to Favorites**: Click the star icon next to any command to save it as a favorite

### Favorites and Recent Commands

- Access favorites by clicking the ★ icon
- View recently used commands by clicking the ⏱ icon
- Rearrange favorites by dragging and dropping

### Customization

- **Rearrange Plugins**: Drag and drop plugins to change their order
- **Hide Plugins**: Right-click a plugin and select "Hide" to remove it from the bar
- **Dark Mode**: Click the theme toggle icon to switch between light and dark theme

## Troubleshooting

If the application can't find your plugins, use the debug mode:

```bash
./run.sh --debug-paths
```

This will print information about where the app is looking for NotePlan plugins.

Common issues:

- **Plugin commands don't launch**: Make sure NotePlan is installed and can be launched
- **Icons don't appear**: Restart the application to reload the plugin information
- **Application crashes**: Check terminal output for error messages

## Support

If you encounter issues or have questions:

- Create an issue on [GitHub](https://github.com/yourusername/noteplan-plugin-launcher/issues)
- Reach out on the [NotePlan Discord](https://discord.gg/noteplan)

---

If you find this tool useful, consider:

<a href="https://www.buymeacoffee.com/yourusername" target="_blank">
  <img src="https://cdn.buymeacoffee.com/buttons/v2/default-yellow.png" alt="Buy Me A Coffee" style="height: 40px !important;width: 150px !important;" >
</a>